sha256:6c32a9c4ecfba392864e31076638f2d4407a3fa122728dc51460d8dab6d52532
2021-11-10 03:55:15 UTC
337 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:6911c8f66691266d86e2cafa67ca005d919f357436fac971c694d37625b5ba90 - 15.82% (53.3 MB)
[#001] sha256:0a0f31369a20c178b1d5c84f192412ed962068e8932d5821eefb00bc7d1cbc1a - 1.49% (5.04 MB)
[#002] sha256:97aa3d222d7e8d6e0b06e57e5bd03168c422475942f92d09a487bd98d09bb742 - 3.18% (10.7 MB)
[#003] sha256:dae99d06bab5fc31ba3db9436a22c452db74a7b5e559a451de2d971a493abe52 - 15.82% (53.3 MB)
[#004] sha256:1ceaeace1516b23dd6c26014f977ec910629b0f1e818efcba72285c444c745dc - 56.4% (190 MB)
[#005] sha256:35b8f4848838ec6e4b74c8f0c0abaa43b7f9d38872d82c8d5a419d5180aaed64 - 1.89% (6.37 MB)
[#006] sha256:e81d9a90fcc7378aa55723972f045380c257553c61db08ad3efe31d5d0ca14aa - 4.74% (16 MB)
[#007] sha256:a89282f427f682d2d1d0f17ce95051da69fd97132d039b8cf3ca86377b6f2c7f - 0.0% (234 Bytes)
[#008] sha256:9a3481719512982137baa49584211e1156123ad10a08ddec341d03cef6ba98c2 - 0.66% (2.24 MB)
/bin/sh -c #(nop) ADD file:e007d6eff02dbc696e1166db315b97a77ae8aa65f2e66ca8074765dde9c70a59 in /
2021-10-12 01:39:31 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-12 04:35:58 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-12 04:36:06 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-12 04:36:29 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-12 04:37:31 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-12 10:10:10 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-12 10:10:11 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-12 10:10:18 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-12 11:52:36 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 03:43:42 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 03:55:05 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 03:55:06 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 03:55:07 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 03:55:07 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 03:55:07 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 03:55:07 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 03:55:15 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 03:55:15 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:67de56867414f415d72d63c6020ed861a5377a8599d1f97b05c5c31fc71e24df
2021-11-10 02:55:08 UTC
332 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:bb7d5a84853b217ac05783963f12b034243070c1c9c8d2e60ada47444f3cce04 - 15.76% (52.4 MB)
[#001] sha256:f02b617c6a8c415a175f44d7e2c5d3b521059f2a6112c5f022e005a44a759f2d - 1.48% (4.91 MB)
[#002] sha256:d32e17419b7ee61bbd89c2f0d2833a99cf45e594257d15cb567e4cf7771ce34a - 3.12% (10.4 MB)
[#003] sha256:c9d2d81226a43a97871acd5afb7e8aabfad4d6b62ae1709c870df3ee230bc3f5 - 15.66% (52 MB)
[#004] sha256:3c24ae8b66041c09dabc913b6f16fb914d5640b53b10747a343ddc5bb5bd6769 - 56.41% (187 MB)
[#005] sha256:8a4322d1621dec2def676639847e546c07a1da4ba0c035edb1036bf5fb45063b - 1.81% (6 MB)
[#006] sha256:b9e027eb94ceec2ad6200b86bf70f12e41e5f67154f9421f16a5c74b77a3bce1 - 5.08% (16.9 MB)
[#007] sha256:5d458b87f13a511d47343452a3b8e46308670cc5e46f87c25dd188c0e29c58be - 0.0% (234 Bytes)
[#008] sha256:bfd64b5c842e3c35ccb6cf449dd388a084713c5ce184fbe47b0362c83364841a - 0.67% (2.24 MB)
/bin/sh -c #(nop) ADD file:aea313ae50ce6474a3df142b34d4dcba4e7e0186ea6fe55389cb2ea903b9ebbb in /
2021-10-12 01:20:30 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-12 15:42:03 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-12 15:42:10 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-12 15:42:38 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-12 15:43:51 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-13 08:30:56 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-13 08:30:57 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-13 08:31:03 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-13 08:54:20 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 02:46:02 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 02:54:59 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 02:55:00 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 02:55:00 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 02:55:00 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 02:55:00 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 02:55:01 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 02:55:07 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 02:55:08 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:57d999fb3af133f37f8938167866c5c25aab081fd73bba6c0f3aada6da7a026c
2021-11-10 01:59:26 UTC
2.09 GB
UTF-8
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_RELEASE3.9.8
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:8f616e6e9eec767c425fd9346648807d1b658d20ff6097be1d955aac69c26642 - 55.85% (1.17 GB)
[#001] sha256:a0eb404f1860fa8786ad09d1d9fe9fd580115f83cd38623bc4eb0c46abdaa0a3 - 41.62% (890 MB)
[#002] sha256:27ded59d7006d9d7bffa7c253cd04a900a5d6b0d47b84d0edd624d12fd64cdc9 - 0.0% (1.38 KB)
[#003] sha256:cf213104327874c948c49178d2338f922bb9443acdcbffa4029d62be119c81e1 - 0.0% (1.39 KB)
[#004] sha256:96271fac3cb8dfed2527eac07d8bc9af9443f87233ab9af819b8e62f015ad370 - 0.0% (1.26 KB)
[#005] sha256:b7ab89fd02ec69138cbabf0dcb389c20b6eed8edc8899ef5f1523d83f454ae0e - 0.0% (1.29 KB)
[#006] sha256:be2817be61c76a62c13744686520d7f521c7bbd43e83d1a8282b27aa9becdf8c - 2.24% (47.9 MB)
[#007] sha256:82132709755695c653fb2b2bc982c8bdcda4ab68dfcf89f73f16115b7baed5c0 - 0.0% (1.29 KB)
[#008] sha256:38ce2bb7a0115d2fa5dea8a980d827473a95ee58ca93bbbd1017ba7992afd782 - 0.0% (1.24 KB)
[#009] sha256:85666d025e36bb3d4d00b3d04143723682987e8261d8db3bd08c5fa06aea8092 - 0.0% (1.29 KB)
[#010] sha256:9b5a5f3c0f188f2131b982006b67bc3201e17206e03791e104e07afec27c7ec2 - 0.0% (1.31 KB)
[#011] sha256:12187e2b75c2d4ed5baa11fb12ef5178fcde3cd28c9ace2925a18b00ad082f71 - 0.29% (6.23 MB)
[#012] sha256:6bfbe45285568c3bc80509fe58be6ad4ab9ac98f950216f5634a7c1739dd8bb0 - 0.0% (1.36 KB)
Apply image 2022-RTM-amd64
2021-11-03 08:36:33 UTCInstall update ltsc2022-amd64
2021-11-10 01:38:20 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2021-11-10 01:38:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2021-11-10 01:57:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 01:57:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.9.8
2021-11-10 01:58:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; $exitCode = (Start-Process python.exe -Wait -NoNewWindow -PassThru -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ) ).ExitCode; if ($exitCode -ne 0) { Write-Host ('Running python installer failed with exit code: {0}' -f $exitCode); Get-ChildItem $env:TEMP | Sort-Object -Descending -Property LastWriteTime | Select-Object -First 1 | Get-Content; exit $exitCode; } $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Remove-Item $env:TEMP/Python*.log -Force; Write-Host 'Complete.'
2021-11-10 01:58:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 01:58:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 01:58:35 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 01:58:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 01:59:25 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ('setuptools=={0}' -f $env:PYTHON_SETUPTOOLS_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2021-11-10 01:59:26 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:4d76e629d9adfebb38722e023c418c3ebd998132f65dde050685d6c1d34dab1a
2021-11-10 02:03:12 UTC
2.57 GB
UTF-8
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_RELEASE3.9.8
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 62.2% (1.6 GB)
[#001] sha256:c1f4c7287c99b95fce227924349d1d139aceb37d97b555144bd5808935b6eab0 - 35.76% (942 MB)
[#002] sha256:b35c0957cca5902f3108e43a3c2c11250dc754ee0bb43900eb0719b4350f0bc2 - 0.0% (1.38 KB)
[#003] sha256:9ee2ce0a831648c226fdfd8a770d37d8e9c0650713bff4b3ffcea537a7e6a678 - 0.0% (1.35 KB)
[#004] sha256:5e9f9d0b0f9ebb53c2b11bc1180e7fb112ee37b4e44dd80063a2e58d72e06758 - 0.0% (1.39 KB)
[#005] sha256:e07ec4a23860dfd310c1f1fb28d238a2838f27ce3837390a6a85014667382d27 - 0.0% (1.39 KB)
[#006] sha256:ed83bb032082b8f79e63ed51b47b4e466f9c46df6c0ef25c3c5b8f57a4e22f73 - 1.81% (47.7 MB)
[#007] sha256:e2f802a2b76df8c2c8d36ea6f655d125d6c3c00d07d41737990ddd55f58ea682 - 0.0% (1.4 KB)
[#008] sha256:06e09270d02c5a8cd2c0d1a339872dc7178bff6a7c4b161a7f2298246d1e0bcb - 0.0% (1.37 KB)
[#009] sha256:16925143f8a8066b31846cbef81e2c91eba9f1654e837bb7c5e5da94657c229d - 0.0% (1.39 KB)
[#010] sha256:0aa1aa89596b859882b7765503589993e63dcea203e237fbcd91ce3325dccd6b - 0.0% (1.35 KB)
[#011] sha256:86286bc9ff823b77ec4d1c0f9f3dd274adeaa4a06b698c94160d016bb876fc9d - 0.23% (6.01 MB)
[#012] sha256:cc6822791ff2ee6b6500e69aaed4828dd13f7b96dc5afd109a591f77d0810db4 - 0.0% (1.35 KB)
Apply image 1809-RTM-amd64
2021-11-04 00:30:48 UTCInstall update 1809-amd64
2021-11-10 01:42:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2021-11-10 01:42:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2021-11-10 01:59:39 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 01:59:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.9.8
2021-11-10 02:01:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; $exitCode = (Start-Process python.exe -Wait -NoNewWindow -PassThru -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ) ).ExitCode; if ($exitCode -ne 0) { Write-Host ('Running python installer failed with exit code: {0}' -f $exitCode); Get-ChildItem $env:TEMP | Sort-Object -Descending -Property LastWriteTime | Select-Object -First 1 | Get-Content; exit $exitCode; } $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Remove-Item $env:TEMP/Python*.log -Force; Write-Host 'Complete.'
2021-11-10 02:01:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 02:01:35 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 02:01:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 02:01:37 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 02:03:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ('setuptools=={0}' -f $env:PYTHON_SETUPTOOLS_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2021-11-10 02:03:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:d026f900d6e4251049f8873111eacb8d4e93b746ae46c292aa145153936207f7
2021-11-10 02:06:42 UTC
5.89 GB
UTF-8
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_RELEASE3.9.8
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 64.3% (3.79 GB)
[#001] sha256:b07c368b7a04669b63c6c86a881be270ee967474a85892003b8695df3d0d5874 - 34.81% (2.05 GB)
[#002] sha256:68d5dfbca608972a02b334e8d053010ece888346d5ebabfc28c9f91ed2063b15 - 0.0% (1.41 KB)
[#003] sha256:eee32b722eae60843ab69b9a429e222c325d19f4554fc09616632500513b4739 - 0.0% (1.39 KB)
[#004] sha256:35c07784a637abcce734b2e665db17560147cee3520834ad783afd332d0e89af - 0.0% (1.35 KB)
[#005] sha256:2dd64bcd5712bdeb138c852efea6597c0ca7c6c7c3ffa450b26f844ee2d97d1e - 0.0% (1.34 KB)
[#006] sha256:ef8a1f401b9a387faa6ae7bc541d9dc6e1a7d60db2eb0c88eb13e7de8f7b8836 - 0.79% (47.6 MB)
[#007] sha256:deb7b104bf9b3a7c40f1c581f3337bef20fcef05799e89174d7f11b1de8c5234 - 0.0% (1.38 KB)
[#008] sha256:b46a7adefd686e8e22d5b609debb3b8e38997c43b355339c72d61be3c56e6a76 - 0.0% (1.39 KB)
[#009] sha256:fec83debfc6bbe249a512d38f1431d7b962eb7080a3538c47cefebe2cdb0843b - 0.0% (1.38 KB)
[#010] sha256:0696e49f1dfd9dc407f4a55e4f5d9f26a2948294eb9d756700a57fad282e76b7 - 0.0% (1.4 KB)
[#011] sha256:11fee665c8d83aa51d5740d80174fb5c5e38ec66f1429ae2e2b16094df2e524d - 0.1% (5.99 MB)
[#012] sha256:42fb513a3f1af474b10be04710ef3404b0a615f4bbf1df6f17462d7f778d2615 - 0.0% (1.39 KB)
Apply image 1607-RTM-amd64
2021-11-03 23:35:00 UTCInstall update ltsc2016-amd64
2021-11-10 01:53:27 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2021-11-10 01:53:27 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2021-11-10 02:03:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 02:03:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.9.8
2021-11-10 02:05:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; $exitCode = (Start-Process python.exe -Wait -NoNewWindow -PassThru -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ) ).ExitCode; if ($exitCode -ne 0) { Write-Host ('Running python installer failed with exit code: {0}' -f $exitCode); Get-ChildItem $env:TEMP | Sort-Object -Descending -Property LastWriteTime | Select-Object -First 1 | Get-Content; exit $exitCode; } $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Remove-Item $env:TEMP/Python*.log -Force; Write-Host 'Complete.'
2021-11-10 02:05:10 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 02:05:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 02:05:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 02:05:14 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 02:06:41 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ('setuptools=={0}' -f $env:PYTHON_SETUPTOOLS_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2021-11-10 02:06:42 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:58dfeaabceae6a0e17c2ff79dbd84c51952d8664cac00b48641c36d0eb219c3b
2021-11-10 04:48:07 UTC
305 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:a97c782f2538791984ce12c859cada96e395e3950d4cb7d1238e08acd2eb74ec - 16.38% (50 MB)
[#001] sha256:d34dc529b005dbeff70906cd4baf2310c918ae6379fdf53ef632c3cd1203aa38 - 1.58% (4.83 MB)
[#002] sha256:a2876b7f933f68a5b4f35f854cc8c651bf3d21476fe2bb0a786e6376f389b44b - 3.3% (10.1 MB)
[#003] sha256:8c918a5faa65bffd689b9869a942e77a3fbc7d89566be880da188d6050f4f627 - 16.34% (49.9 MB)
[#004] sha256:3127725d64ae6922801ff988a903c7db9c780283ffb0ed82afa5763076b47be7 - 54.56% (167 MB)
[#005] sha256:679a481b4a6314d423a2d363241fc5394aa4b348f2d362497f5b4089a877b048 - 1.88% (5.74 MB)
[#006] sha256:119010c222997a4c388331fed425feb9dd09f57d89f3ab83f63193dfb9196d9e - 5.22% (15.9 MB)
[#007] sha256:71b03cbc31c58a5197865fe837f15adb291fd44e916a5ed33b049732caa3d9de - 0.0% (234 Bytes)
[#008] sha256:0b34951de69952deb8077ea895063d7aa2fd85a2da55b67a3020a4b85f50d172 - 0.73% (2.24 MB)
/bin/sh -c #(nop) ADD file:b9969604315238de271e1769a4b8dd85cdf0d33f9fac387e940d5195ac3030a1 in /
2021-10-12 00:49:55 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-12 05:40:50 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-12 05:41:07 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-12 05:42:05 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-12 05:44:27 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-12 23:15:29 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-12 23:15:29 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-12 23:15:46 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-12 23:59:41 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 04:34:30 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 04:47:48 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 04:47:50 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 04:47:50 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 04:47:50 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 04:47:51 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 04:47:51 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 04:48:06 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 04:48:07 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:3d49415c0a2d1feaab6db7c581c630dd8f52af2ebc32a95856fc80c951b1cbfd
2021-11-10 06:23:19 UTC
293 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:88ce59c3081c4041f41eb407032db40c207cc2d806ba0eb12e170b697db91e52 - 16.32% (47.8 MB)
[#001] sha256:4d212c40843ca0a1c4c7b2cd635c4801f93ea3c3470b17d99c403c0e065a8711 - 1.6% (4.69 MB)
[#002] sha256:4bdffc4d771520b3975a2a5a85d9d8594ae6d055776a553760db80a5f8e7a279 - 3.33% (9.74 MB)
[#003] sha256:880ea64c0b77d8c40a4101ce92be9b38e5c45e0efe6b4e9c6712d624ba7438be - 16.39% (48 MB)
[#004] sha256:ab447199c1569435d8bbc51243e55ea8347a655f0327b9d94e5b02fbe009a347 - 54.37% (159 MB)
[#005] sha256:7666cc9cc53a0a0a5ece346dbb947ae9201ebd524ee70cb71738d93c15442bd5 - 1.86% (5.44 MB)
[#006] sha256:1b12e02e6d870d3184932c3cb568854fca698564f9a21946051663f1ca00eb43 - 5.36% (15.7 MB)
[#007] sha256:86625d89927742f5b7f23a93258796e716591b1ff13f484ab3691d7f4ab640cc - 0.0% (234 Bytes)
[#008] sha256:00d1bbbf775e468576f3da52ac57d60f4ce564dfc80f5be766ef8af93f6c3dfa - 0.77% (2.24 MB)
/bin/sh -c #(nop) ADD file:d9f40ca54fb79741d1e76c7bca9250f78453d0b39fb6c921337f3071a79a55a9 in /
2021-10-12 01:28:00 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-12 18:35:11 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-12 18:35:28 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-12 18:36:29 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-12 18:38:42 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-14 05:07:31 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-14 05:07:32 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-14 05:07:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-14 06:11:59 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 06:02:10 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 06:22:59 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 06:23:01 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 06:23:02 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 06:23:02 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 06:23:03 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 06:23:03 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 06:23:18 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 06:23:19 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:39f0518fe431d0dfeb7e484f048ad1d20de073d9416ade309e285b1e8c724e71
2021-11-10 02:59:31 UTC
324 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:1c47a423366578e5ce665d03788914bf0459485a627a27896fa9c5663ce55cdf - 15.8% (51.1 MB)
[#001] sha256:889b1f128be8ebd64f787c46418ffe34ce1096d1ccd6938924d7397713720758 - 1.52% (4.9 MB)
[#002] sha256:c338d42ad921985fb8ebb6e2c48d381f6e03a91535eeffce7f08084b3dfbfdf4 - 3.14% (10.2 MB)
[#003] sha256:e27d3d9a061af78e3fcbefe5dbbe718db380687319e5ba8a7c9fd7ba55d16cc3 - 16.11% (52.1 MB)
[#004] sha256:56467c8996a237c29310630374ed68e9883e8e7117197de0272f3275c9c6ce75 - 55.82% (181 MB)
[#005] sha256:4b7e0d7dd5fc0502520b41e6920dfbbc1cfb67281ff16e738d5a63051064298a - 1.82% (5.88 MB)
[#006] sha256:977be2b14c21e3c5749269fecce17c77068f45d6fc05de357a70ab59d918f196 - 5.1% (16.5 MB)
[#007] sha256:874dbde812b7936a67f941765481a5200c2a587ac67a24746f4acd544b6bf536 - 0.0% (234 Bytes)
[#008] sha256:480fe8a4c350944d3bdf06b4d9d32f066908540ae520dad3d40ad4c6cab3e98f - 0.69% (2.24 MB)
/bin/sh -c #(nop) ADD file:1529ae12e334fd992892d3fb97c103297cff7e0115b0475bec4c093939a2bff7 in /
2021-10-12 01:41:04 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-16 02:58:23 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-16 02:58:28 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-16 02:58:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-16 02:59:35 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-16 09:55:36 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-16 09:55:37 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-16 09:55:44 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-16 10:12:04 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 02:54:45 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 02:59:18 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 02:59:19 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 02:59:20 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 02:59:21 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 02:59:22 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 02:59:23 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 02:59:30 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 02:59:31 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:e5dc38804cbb9159e5348aa36bcdfcd305268437399719a31cfe093155549490
2021-11-10 05:26:25 UTC
313 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:3d2cd78b9c44ce4eadbb0cc35b884bfd0dac51123f3c8c6645cb8dc9dc9c1512 - 16.22% (50.7 MB)
[#001] sha256:bbc92c0f1b1ba16db081439cf0fe0ba300c5acb087b88f97abb47cd8aa1760d6 - 1.56% (4.88 MB)
[#002] sha256:f090a91c9dcffdc8ccb3d0c43f49469a175e0c902bdae900df04c7afe0799f64 - 3.32% (10.4 MB)
[#003] sha256:5dca8dc314040adde734540d22d6ece8f751dd2fa78662083691ed36be6a2a8f - 16.25% (50.8 MB)
[#004] sha256:4d3cbd8a1740e3dd9cfc5bb50b5091d9750be6809c9404144caf76f9a1853815 - 54.59% (171 MB)
[#005] sha256:65f6369376b11da243b3fc6c413a52b5e21829ae059a0310972f6dc03370e506 - 2.02% (6.31 MB)
[#006] sha256:52c2f2b6a39c3061ad25937e2d6625dd3a790b14c364a68495052e82352d9f1b - 5.33% (16.7 MB)
[#007] sha256:dcefdea3cfba0614228b1272fe9eea63cf59d23f4f2743abdde99b6d2f5807de - 0.0% (234 Bytes)
[#008] sha256:09cf4a4ea93b8c965ed433657a4c7659c7c22c20860cabf89307cc6f20df4f21 - 0.72% (2.24 MB)
/bin/sh -c #(nop) ADD file:856952232716a2e2d5069387a06a537937a1dec1bb75bc9519c60d6ad226bddb in /
2021-10-12 01:10:50 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-12 01:49:14 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-12 01:49:33 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-12 01:50:34 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-12 01:53:10 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-12 02:17:34 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-12 02:17:35 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-12 02:18:14 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-12 06:54:39 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 04:40:04 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 05:25:57 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 05:25:59 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 05:25:59 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 05:25:59 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 05:26:00 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 05:26:00 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 05:26:24 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 05:26:25 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:ef775808034a7dbddf016ee0caf6f30ea55e44259ec31b77c71c5b235b4a1a85
2021-11-10 06:08:36 UTC
341 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:c7e7ddcf3b3abfed2b7aab50c1b68bfdfc6fcffed2f4b93ebff4d6050b3d5e72 - 16.44% (56.1 MB)
[#001] sha256:a4ad477ff0e1489411f419167095ae70f3711a8505b497821289b706b6117c86 - 1.51% (5.15 MB)
[#002] sha256:110cf21b1de9b38b05498de988be3daa0d8ef99e8cb1ff84b5a3d01c61e9d831 - 3.25% (11.1 MB)
[#003] sha256:2384a9fb45c6c30c61d87780024c7b377d81b00dec3596a5222eb6e5687e131e - 16.45% (56.1 MB)
[#004] sha256:ae5604f798ed9b57b6774ef0752f22b0003715ee542cde915090a58ce1b733e9 - 54.76% (187 MB)
[#005] sha256:e019ea474958b07ec279112b5e08bd1cfec52234b8fb86d489b66306aca1e767 - 1.97% (6.72 MB)
[#006] sha256:f503b465c7a33e1e28eb41296e8b31222994c7c47e482d765ec058de94be5c9b - 4.96% (16.9 MB)
[#007] sha256:5d09c841f513ad0e757feb67a43c5ee1a5babca7b2e9e580e7537cc450378ab7 - 0.0% (234 Bytes)
[#008] sha256:a92b732143d190a9b38a23872012dbc835fe51f1d1dfe8bf2aefae990a14bbf6 - 0.66% (2.24 MB)
/bin/sh -c #(nop) ADD file:127b21494e1c790bdbb4c277638b3e16b25fbbcd1e0cdb52e60a4f55a57cd0f2 in /
2021-10-12 01:25:10 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-12 03:46:16 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-12 03:47:01 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-12 03:50:25 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-12 04:05:09 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-12 19:34:46 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-12 19:34:49 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-12 19:35:34 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-12 21:15:45 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 05:56:55 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 06:07:29 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 06:07:42 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 06:07:45 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 06:07:51 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 06:07:53 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 06:08:00 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 06:08:28 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 06:08:36 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:3bb58d48b2294e3f630a98fc27b1b96f3a88d0ebf289a2e47a1d332cb9bf529c
2021-11-10 03:10:46 UTC
305 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
PYTHON_PIP_VERSION21.2.4
PYTHON_SETUPTOOLS_VERSION57.5.0
PYTHON_VERSION3.9.8
[#000] sha256:081299fd984cd296112766e1cc55f44fffbf898b2900b01c0333962494a2dd80 - 16.61% (50.7 MB)
[#001] sha256:e1178bd9843e3f60ffd4f7a474e885f9965bdc7a92f5831d7250a4cac2c253fa - 1.6% (4.9 MB)
[#002] sha256:a0d430256819c7836ccd1840b5eba2bfbd0a31e0767d637abcd72ad92f2b8249 - 3.36% (10.3 MB)
[#003] sha256:8a4a0391a320de679eaaea8841ae41b0b549a2b83a22e9c766291fa89aa3a7cf - 16.87% (51.5 MB)
[#004] sha256:3de0fe49e06a4514455e92b82691f86cb7c68bfae59936ea9f288e25b99559f7 - 53.85% (164 MB)
[#005] sha256:dbb08a4adb5bca49fd1b3c5863b1b7b69930dccbc369479f662c2bfcc2d3c6f3 - 1.95% (5.95 MB)
[#006] sha256:78f7f5f85c59ae553a83e0d4cf89fe049dda5f96fa51f542a93b6b688c479df1 - 5.03% (15.4 MB)
[#007] sha256:643db73c035d03e8c351da4e14082840608fd982f81624b62e2684fa9dbe64fc - 0.0% (234 Bytes)
[#008] sha256:f843188811dace91bcef70a0e7995974816321b23e3f84e8c0cc41899e46202b - 0.73% (2.24 MB)
/bin/sh -c #(nop) ADD file:a7a74f6be757ceb5e84c440e739019782df1a118264eef70aa49886a976c43f6 in /
2021-10-12 00:42:12 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-10-12 07:39:58 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-10-12 07:40:03 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-10-12 07:40:22 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-10-12 07:41:16 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2021-10-12 15:22:08 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-10-12 15:22:08 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-10-12 15:22:13 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2021-10-12 15:39:26 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2021-11-10 03:06:13 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.8
2021-11-10 03:10:33 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2021-11-10 03:10:36 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2021-11-10 03:10:36 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=21.2.4
2021-11-10 03:10:37 UTC/bin/sh -c #(nop) ENV PYTHON_SETUPTOOLS_VERSION=57.5.0
2021-11-10 03:10:37 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/3cb8888cc2869620f57d5d2da64da38f516078c7/public/get-pip.py
2021-11-10 03:10:38 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=c518250e91a70d7b20cceb15272209a4ded2a0c263ae5776f129e0d9b5674309
2021-11-10 03:10:46 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2021-11-10 03:10:46 UTC/bin/sh -c #(nop) CMD ["python3"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.